<?php
/*
 * $Id: iss_mags.inc,v 1.2 2002/07/04 02:17:25 t-ishii Exp $
 * ȯԻ說饹
 */
require_once("magazines.inc");

class iss_mags extends dbaccess
{
  function cols() {
    return array("issue_date" => TRUE,
		 "price" => TRUE,
		 "total_pages" => TRUE);
  }

  function iss_mags() {
    dbaccess::dbaccess();
    $this->read_query =<<<EOF
     SELECT p.pb_name, m.mag_name, m.list_price, m.magazineid,
     i.issue_date, i.price, i.total_pages, i.iss_magid, i.ctid
     FROM publishers AS p, magazines AS m, iss_mags AS i
     WHERE p.publisherid = m.publisherid AND
     m.magazineid = i.magazineid
EOF;
    $this->new_reg_query =<<<EOF
     SELECT p.pb_name, m.mag_name, m.list_price, m. magazineid,
     '' AS issue_date, '' AS price, '' AS total_pages,
     '' AS iss_magid, '' AS ctid
     FROM publishers AS p, magazines AS m
     WHERE  p.publisherid = m.publisherid
EOF;
    $this->write_table = "iss_mags";
    $this->write_cols = $this->cols();
    $this->key = array("iss_magid");
    $this->foreign_key = array("magazineid" => TRUE);
    $this->parent_tables = array("magazines");
  }
}

class iss_mags_view extends magazines_view
{
  function iss_mags_view() {
    magazines_view::magazines_view();
    $this->show_cols = array_merge($this->show_cols, iss_mags::cols());
  }
}
?>
