<?php
/*
 * $Id: magazines.inc,v 1.2 2002/07/04 02:17:25 t-ishii Exp $
 * 說饹
 */
require_once("publishers.inc");

class magazines extends dbaccess
{
  function cols() {
    return array("mag_name" => TRUE,
		 "list_price" => TRUE);
  }

  function magazines() {
    dbaccess::dbaccess();
    $this->read_query =<<<EOF
      SELECT p.pb_name, m.mag_name, m.list_price, 
      m.publisherid, m.magazineid, m.ctid
      FROM publishers AS p, magazines AS m
      WHERE p.publisherid = m.publisherid
EOF;
    $this->new_reg_query =<<<EOF
      SELECT p.pb_name, '' AS mag_name, '' AS list_price, 
      p.publisherid, '' AS magazineid, '' AS ctid
      FROM publishers AS p
EOF;
    $this->write_table = "magazines";
    $this->write_cols = $this->cols();
    $this->key = array("magazineid");
    $this->foreign_key = array("publisherid" => TRUE);
    $this->parent_tables = array("publishers");
  }
}

class magazines_view extends publishers_view
{
  function magazines_view() {
    publishers_view::publishers_view();
    $this->show_cols = array_merge($this->show_cols, magazines::cols());
  }
}
?>
