<?php
/*
 * $Id: model.inc,v 1.2 2002/07/04 02:17:25 t-ishii Exp $
 * DBǥ륯饹
 */
class dbaccess
{
  var $read_query = "";		// ɽSQLʸ
  var $new_reg_query = "";	// ɲSQLʸ
  var $write_table = "";	// ѥơ֥̾
  var $write_cols = "";		// ̾
  var $db = "";			// PHPlib DB access饹֥
  var $meta = "";		// ơ֥Υ᥿ǡå
  var $key = "";		// ơ֥Υץ饤ޥꥭ̾
  var $foreign_key = "";	// ̾
  var $parent_tables = "";	// ﻲȥơ֥
  var $multi_val_cols = "";
  var $multi_val_values = "";

  // 󥹥ȥ饯
  function dbaccess() {
    $this->db = new DB_Example;
  }
 
  // ᥿ǡμ
  function get_meta() {
    if ($this->meta == "") {
      $count = 0;
      $id    = 0;
      $res   = array();

      $this->db->connect();
      $id = pg_exec($this->db->Link_ID,
		    "SELECT * FROM (" . $this->read_query . ") as foo WHERE false");
      if ($id < 0) {
	$this->Error = pg_ErrorMessage($id);
	$this->Errno = 1;
	$this->halt("Metadata query failed.");
      }
      $count = pg_NumFields($id);
    
      for ($i=0; $i<$count; $i++) {
	$res[$i]["name"]  = pg_FieldName  ($id, $i); 
	$res[$i]["type"]  = pg_FieldType  ($id, $i);
	$res[$i]["len"]   = pg_FieldSize  ($id, $i);
	$res[$i]["flags"] = "";
      }
      pg_FreeResult($id);
      $this->meta = $res;
    }
    return $this->meta;
  }

  // ¹
  function exec_search($first, $offset, $def, $vals = "") {
    global $original_query;
    global $ctid;

    if ($first) {
      $query = $this->read_query;
      if (ereg("WHERE",$query)) {
	$conj = " AND ";
      } else {
	$conj = " WHERE ";
      }
      foreach ($vals as $col => $var) {
	if ($var != "") {
	  $query .= $conj . "$col = " .  "'" . addslashes($var) . "'";
	}
	$conj = " AND ";
      }
      $original_query = $query;
    } else {
      if ($original_query == "") {
	// ڡ/ڡ׵ʤΤˡǽΥڡɽʤ
	return;
      }
      $query = $original_query;
    }

    $query .= " ORDER BY " . implode(",", $this->key) . " LIMIT 1 OFFSET $offset";
    $defvals = array();
    $keyvals = array();
    $this->db->query($query);
    if ($this->db->next_record()) {
      foreach ($def as $col => $var) {
	$defvals[$col] = $this->db->f($col);
      }
      // 祭ͤФ
      foreach ($this->key as $key) {
	$keyvals[$key] = $defvals[$key] = $this->db->f($key);
      }
      // ͤФ
      if ($this->is_really_array($this->foreign_key)) {
	foreach ($this->foreign_key as $key => $val) {
	  $defvals[$key] = $this->db->f($key);
	}
      }

      // ߤΥڡTID򹹿
      $ctid = $this->db->f("ctid");
    }

    if ($this->is_really_array($this->multi_val_cols)) {
      foreach ($this->multi_val_cols as $col) {
	$this->multi_val_values[$col] = $this->fetch_mvals($col, $keyvals);
	$this->multi_val_candidates[$col] = $this->fetch_candidates($col);
      }
    }

    return $defvals;
  }

  // ʣͤ
  function fetch_mvals($col, $keyvals) {
    $res = array();
    if (count($keyvals) == 0) {
      return $res;
    }
    $query = $this->multi_val_queries[$col];
    foreach ($keyvals as $key => $var) {
      if ($var != "") {
	$query .= " AND " . "a." . "$key = " .  "'" . addslashes($var) . "'";
      }
    }
    $this->db->query($query);
    while ($this->db->next_record()) {
      $res[] = $this->db->f($col);
    }
    return $res;
  }

  // ʣ
  function fetch_candidates($col) {
    $res = array();
    $this->db->query($this->multi_val_candidates_queries[$col]);
    while ($this->db->next_record()) {
      $r = array();
      $r["key"] = $this->db->f("key");
      $r["val"] = $this->db->f("val");
      $res[] = $r;
    }
    return $res;
  }

  // ɲѸ¹
  function exec_new_search($first, $offset, $def, $vals = "") {
    global $original_query;
    global $ctid;

    if (!isset($this->new_reg_query) || $this->new_reg_query == "") {
      print("εǽͭǤϤޤ<br>\n");
      return "";
    }

    if ($first) {
      $query = $this->new_reg_query;
      if (ereg("WHERE",$query)) {
	$conj = " AND ";
      } else {
	$conj = " WHERE ";
      }
      foreach ($vals as $col => $var) {
	if ($this->is_writable_col($col)) {
	  continue;
	}
	if ($var != "") {
	  $query .= $conj . "$col = " .  "'" . addslashes($var) . "'";
	}
	$conj = " AND ";
      }
      $original_query = $query;
    } else {
      $query = $original_query;
    }

    $query .= " LIMIT 1 OFFSET $offset";
    $defvals = array();
    $this->db->query($query);
    if ($this->db->next_record()) {
      foreach ($def as $col => $var) {
	$defvals[$col] = $this->db->f($col);
      }
      foreach ($this->key as $key) {
	$defvals[$key] = $this->db->f($key);
      }
      foreach ($this->foreign_key as $key => $val) {
	$defvals[$key] = $this->db->f($key);
      }
    }
    $ctid = $this->db->f("ctid");
    return $defvals;
  }

  // ¹
  // ctid: оݹԤctid
  // defvals: 
  // val: 
  function exec_update($ctid, $defvals, $val) {
    $this->db->query("BEGIN");
    if ($this->is_really_array($this->parent_tables)) {
      $this->lock_tables($this->parent_tables);
    }
    $table = $this->write_table;
    $this->lock_tables($table);

    $current_ctid = $this->is_row_exists($table, $this->key, $defvals);
    if ($current_ctid == FALSE) {
      print("Ԥޤ<br>");
      $this->db->query("ROLLBACK");
      return FALSE;
    }

    // ¾Υȥ󥶥ˤäƥǡѹƤ뤫ɤ
    // ctidǥå
    if ($current_ctid != $ctid) {
      print("TIDפޤ¾Υ桼ˤäƥǡ줿VACUUM¹Ԥ줿ǽޤ");
      $this->db->query("ROLLBACK");
      return FALSE;
    }

    $query = "UPDATE $table";
    $conj = " SET ";
    foreach ($val as $col => $var) {
      if ($var != "" AND isset($this->write_cols[$col])) {
	$query .= $conj . "$col = " .  "'" . addslashes($var) . "'";
	$conj = " , ";
      }
    }
    $query .= " WHERE ctid = '$ctid'";
    $this->db->query($query);
    $this->db->query("COMMIT");
    return TRUE;
  }

  // ¹
  function exec_delete($ctid, $defvals) {
    $this->db->query("BEGIN");
    if ($this->is_really_array($this->parent_tables)) {
      $this->lock_tables($this->parent_tables);
    }
    $table = $this->write_table;
    $this->lock_tables($table);

    $current_ctid = $this->is_row_exists($table, $this->key, $defvals);
    if ($current_ctid == FALSE) {
      print("Ԥޤ<br>");
      $this->db->query("ROLLBACK");
      return FALSE;
    }
    // ¾Υȥ󥶥ˤäƥǡѹƤ뤫ɤ
    // ctidǥå
    if ($current_ctid != $ctid) {
      print("TIDפޤ¾Υ桼ˤäƥǡ줿VACUUM¹Ԥ줿ǽޤ");
      $this->db->query("ROLLBACK");
      return FALSE;
    }
    $query = "DELETE FROM $table WHERE ctid = '$ctid'";
    $this->db->query($query);
    $this->db->query("COMMIT");
    return TRUE;
  }

  // ɲü¹
  // defvals: ɽΥڡξ
  // val: եफϤ줿
  function exec_insert($defvals, $val) {
    // äƤ硤ƥơ֥뤬ɽƤʤ
    // ɲäǤʤ
    if (isset($this->foreign_key) && 
	$this->is_really_array($this->foreign_key) &&
	!$this->is_really_array($defvals)) {
      return FALSE;
    }

    $this->db->query("BEGIN");
    if ($this->is_really_array($this->parent_tables)) {
      $this->lock_tables($this->parent_tables);
    }
    $table = $this->write_table;
    $this->lock_tables($table);

    $query = "INSERT INTO $table ";
    $target = "";
    $conj = "";
    $values = "";
    $checkvals = array();

    // äƤϤǡɲ
    if (isset($this->foreign_key) && 
	$this->is_really_array($this->foreign_key)) {
      foreach ($defvals as $col => $var) {
	if ($var != "" && isset($this->foreign_key[$col])) {
	  $target .= $conj . $col;
	  $values .= $conj . "'" . addslashes($var) . "'";
	  $checkvals[$col] = $var;
	  $conj = " , ";
	}
      }
    }
    foreach ($val as $col => $var) {
      if ($var != "" && isset($this->write_cols[$col])) {
	$target .= $conj . $col;
	$values .= $conj . "'" . addslashes($var) . "'";
	$checkvals[$col] = $var;
	$conj = " , ";
      }
    }
    if ($conj != "") {
      if ($this->is_row_exists($table, $checkvals, $checkvals)) {
	print("ǤƱԤ¸ߤƤޤ<br>\n");
	$this->db->query("COMMIT");
	return FALSE;
      }
      $query .= "(". $target . ") VALUES(" . $values . ")";
      $this->db->query($query);
    }
    $this->db->query("COMMIT");
    return TRUE;
  }

  // ʣͤɲ
  function exec_candidate_reg($col, $candidates, $defvals) {
    $this->db->query("BEGIN");

    // ơ֥å
    $this->lock_tables($this->write_table);
    $this->lock_tables($this->multi_val_relations[$col]);

    // ǤƱͤϿѤɤå
    $query = "SELECT count(*) FROM {$this->multi_val_relations[$col]} WHERE";
    $first = TRUE;
    foreach ($this->multi_val_relation_cols[$col] as $c) {
      if ($first) {
	$query .= " $c = '$candidates'";
	$first = FALSE;
      } else {
	if (!isset($defvals[$c])) {
	  $this->db->query("COMMIT");
	  return;
	}
	$query .= " AND " . "$c = " . "'" . addslashes($defvals[$c]) . "'";
      }
    }
    $this->db->query($query);
    $this->db->next_record();
    if ($this->db->f("count") > 0) {
      // ǤϿ
      $this->db->query("COMMIT");
      return;
    }

    // ͤɲ
    $query = "INSERT INTO {$this->multi_val_relations[$col]} (" .
      implode(",", $this->multi_val_relation_cols[$col]) .
      ") VALUES ('$candidates', ";
    foreach ($this->key as $c) {
      $query .= "'" . $defvals[$c] . "'";
    }
    $query .= ")";
    $this->db->query($query);
    $this->db->query("COMMIT");
  }

  // ʣͤ
  function exec_candidate_del($col, $candidates, $defvals) {
    $this->db->query("BEGIN");

    // ơ֥å
    $this->lock_tables($this->write_table);
    $this->lock_tables($this->multi_val_relations[$col]);

    $query = "DELETE FROM {$this->multi_val_relations[$col]} WHERE";
    $first = TRUE;
    foreach ($this->multi_val_relation_cols[$col] as $c) {
      if ($first) {
	$query .= " $c = '$candidates'";
	$first = FALSE;
      } else {
	$query .= " AND " . "$c = " . "'" . addslashes($defvals[$c]) . "'";
      }
    }
    $this->db->query($query);
    $this->db->query("COMMIT");
  }

  // ǽ󤫤ɤ֤
  function is_writable_col($col_name) {
    return (isset($this->write_cols[$col_name]));
  }
    
  //ǽꥹȤ֤
  function get_write_cols() {
    return $this->write_cols;
  }

  // ơ֥å(ؿ)
  function lock_tables($tables) {
    if (is_array($tables)) {
      foreach ($tables as $t) {
	$this->db->query("LOCK TABLE $t IN SHARE ROW EXCLUSIVE MODE");
      }
    } else {
	$this->db->query("LOCK TABLE $tables IN SHARE ROW EXCLUSIVE MODE");
    }
  }

  // ѿǤäǿ1ʾλTRUE֤(ؿ)
  function is_really_array($array) {
    return is_array($array) && count($array) > 0;
  }

  // оݹԤơ֥¸ߤФTID֤(ؿ)
  // table: ơ֥̾
  // key: åоݤΡ̾ => ͡פϢ(ͤϻȤʤ)
  // ̾ => ͡פϢ
  function is_row_exists($table, $keys, $vals) {
    if (!$this->is_really_array($keys)) {
      return FALSE;
    }
    if (!$this->is_really_array($vals)) {
      return FALSE;
    }
    $query = "SELECT ctid FROM $table";
    $conj = " WHERE";
    foreach ($keys as $key => $v) {
      if (!isset($vals[$v])) {
	return FALSE;
      }
      $query .= "$conj $v = '" . addslashes($vals[$v]) . "'";
      $conj = " AND";
    }
    $this->db->query($query);
    if ($this->db->next_record()) {
      return $this->db->f("ctid");
    }
    return FALSE;
  }
}
?>
