-- creates basic database layout
-- reincarnation of create_database.pgsql
-- $Id: create_database.pgsql,v 1.1.1.1 2002/04/28 12:17:02 t-ishii Exp $

DROP TABLE active_sessions;
CREATE TABLE active_sessions (
  sid varchar(32) DEFAULT '',
  name varchar(32) DEFAULT '',
  val text,
  changed varchar(14) DEFAULT '' NOT NULL,
  PRIMARY KEY (sid,name)
);

DROP TABLE auth_user;
CREATE TABLE auth_user (
  user_id varchar(32) PRIMARY KEY,
  username varchar(32) DEFAULT '' NOT NULL,
  password varchar(32) DEFAULT '' NOT NULL,
  perms varchar(255)
);

DROP TABLE auth_user_md5;
CREATE TABLE auth_user_md5 (
  user_id varchar(32) PRIMARY KEY,
  username varchar(32) DEFAULT '' NOT NULL,
  password varchar(32) DEFAULT '' NOT NULL,
  perms varchar(255)
);

CREATE UNIQUE INDEX k_username ON auth_user (username);
CREATE UNIQUE INDEX k_username_md5 ON auth_user_md5 (username);

-- This is an example of a sample row for auth_user

INSERT INTO auth_user VALUES ('c14cbf141ab1b7cd009356f555b607dc','kris','test','admin');
INSERT INTO auth_user_md5 VALUES ('c14cbf141ab1b7cd009356f555b607dc','kris','098f6bcd4621d373cade4e832627b4f6','admin');
